Subject: bug#12389: closed (Re: bug#12389: 24.2.50; mark, transient-mark-mode and registers)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Nov 2013 05:11:03 +0000

Your bug report

#12389: 24.2.50; mark, transient-mark-mode and registers

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12389: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12389
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12389: 24.2.50; mark, transient-mark-mode and registers
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Fri, 15 Nov 2013 10:40:32 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

OP here. Closed.

Subject: 24.2.50; mark, transient-mark-mode and registers
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Sun, 09 Sep 2012 00:40:04 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Full disclosure: I use transient-mark-mode.

Item-1
======

My upvotes for de-activating mark after `prepend-to-register' and
`append-to-register.  

I always use C-g after append-to-register.  If I don't, I find the
highlighted region expanding with cursor motion annoying.  

Discussions on Bug#10056 seem to suggest that the current position is
ambivalent.  The discussion seems to favor status quo rather than
provide a use case that will support the status quo.

    http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10056#26

Item-2
======

1. Enable transient-mark-mode
2. C-SPC
3. <down> <down>
4. C-g
5. C-u C-x r s a

Now as a transient mark user, I find disappearance of a non-highlighted
text in (5) surprising.  Comments?

In GNU Emacs 24.2.50.19 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2012-09-09 on debian-6.05
Bzr revision: 109935 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.10707000
Important settings:
  value of $LANG: en_IN
  locale-coding-system: iso-latin-1-unix
  default enable-multibyte-characters: t